Bug 311454 - Icon property shows completely wrong image data!
Summary: Icon property shows completely wrong image data!
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Thumbs-IconView (show other bugs)
Version: 2.8.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-10 07:40 UTC by Axel Krebs
Modified: 2017-07-28 15:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments
screenshot showing wrong pics sizes ("121210_DK_wrong_preview_b.jpg") (108.39 KB, image/jpeg)
2012-12-10 18:12 UTC, Axel Krebs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2012-12-10 07:40:12 UTC
batch processing of some jpg-pics:
- set metadata
- change size
- denoise
- sharpen
- watermarking

After this procedure, pic sizes are wrong

Reproducible: Always

Steps to Reproduce:
1.  just do batches
2. observe the wrong size numbers 
3.
Actual Results:  
see attachment


COMPONENTS:

digiKam version 2.8.0
Exiv2 kann in JP2 speichern: Ja
Exiv2 kann in JPEG speichern: Ja
Exiv2 kann in PGF speichern: Ja
Exiv2 kann in PNG speichern: Ja
Exiv2 kann in TIFF speichern: Ja
Exiv2 unterstützt XMP-Metadaten: Ja
LibCImg: 130
LibClapack: Interne Bibliothek
LibExiv2: 0.23
LibJPEG: 80
LibJasper: 1.900.1
LibKDE: 4.9.4
LibKExiv2: 2.3.0
LibKGeoMap: 2.0.0
LibKdcraw: 2.1.0
LibLCMS: 2020
LibLensFun: Externe gemeinsame Bibliothek
LibLqr: Interne Bibliothek
LibPGF: 6.12.27 - Interne Bibliothek
LibPNG: 1.2.46
LibQt: 4.8.3
LibRaw: 0.14.6
LibTIFF: LIBTIFF, Version 3.9.5 Copyright (c) 1988-1996 Sam Leffler Copyright (c) 1991-1996 Silicon Graphics, Inc.
Marble-Funktion: 0.12.2 (stable release)
Parallelisiertes Entfernen von Mosaikmustern: Ja
Parallelized PGF codec: Keine
Datenbanktreiber: QSQLITE
LibGphoto2: 2.4.14
LibKface: 2.0.0
LibKipi: 1.6.0
LibOpenCV: 2.3.1
Libface: 0.2

STATISTICS:

digiKam version 2.8.0
Bilder: 
BMP: 3
GIF: 99
JP2: 14
JPEG: 183
JPG: 130011
PCX: 2
PGF: 2
PNG: 3320
RAW-CR2: 632
RAW-CRW: 11335
RAW-DNG: 7
RAW-NEF: 82411
RAW-STI: 1
TIFF: 1879
XCF: 2
Gesamt: 229901
: 
: 
Videos: 
AVI: 61
MOV: 21
MPEG: 2
Gesamt: 84
: 
: 
Audio: 
MP3: 1
Gesamt: 1
: 
: 
Gesamtzahl der Einträge: 229986
Alben: 2320
Stichwörter: 227
Datenbanktreiber: QSQLITE
Comment 1 caulier.gilles 2012-12-10 09:07:19 UTC
Which attachment ? What's the problem exactly ?

Gilles Caulier
Comment 2 Axel Krebs 2012-12-10 18:12:00 UTC
Created attachment 75774 [details]
screenshot showing wrong pics sizes ("121210_DK_wrong_preview_b.jpg")

pics data marked in black boxes
Comment 3 Christoph Feck 2012-12-16 01:11:13 UTC
Thanks for the update. Reopening.
Comment 4 caulier.gilles 2013-12-04 17:34:04 UTC
Axel,

this problem still exist with digiKam 3.5.0 ?

Gilles Caulier
Comment 5 caulier.gilles 2014-08-31 11:55:52 UTC
Axel,

this problem still exist with last digiKam 4.2.0 ?

Gilles Caulier
Comment 6 caulier.gilles 2015-06-28 09:40:19 UTC
New digiKam 4.11.0 is available :

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 7 caulier.gilles 2015-08-21 07:05:15 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.
Comment 8 caulier.gilles 2016-07-15 21:04:03 UTC
With digiKam 5.0.0, this problem is not reproducible.
I close this file now. Don't hesitate to re-open if necessary.
Gilles Caulier